Bug 6816 - Cannot enable DRI on experimental R300 driver: AIGLX error: Calling driver entry point failed
Summary: Cannot enable DRI on experimental R300 driver: AIGLX error: Calling driver en...
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/Acceleration/XGL (show other bugs)
Version: 7.0.0
Hardware: x86 (IA32) Linux (All)
: high major
Assignee: David Reveman
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-02 22:00 UTC by David Hagood
Modified: 2007-01-18 02:37 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Hagood 2006-05-02 22:00:49 UTC
I am trying to enable the R300 DRI GL support (as the ATI supplied drivers won't
work with Modular X), but cannot get X to enable DRI.

I've pulled Mesa from CVS, built the "linux-dri-x86" target, and installed it.
However, no application will do direct rendering.

In Xorg.log, the following is logged:
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 12, (OK)
drmOpenByBusid: Searching for BusID pci:0000:02:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 12, (OK)
drmOpenByBusid: drmOpenMinor returns 12
drmOpenByBusid: drmGetBusid reports pci:0000:02:00.0
(EE) AIGLX error: Calling driver entry point failed(EE) AIGLX: reverting to
software rendering

So the low-level driver is loaded, but the GLX module can't find *something* it
wants.

Since I cannot rebuild modular X (see bug #6815) I cannot go any further.
Comment 1 Marcel Meyer 2006-05-16 06:56:47 UTC
Hi, anything new on this topic?

I just got the same problem with X 7.0.99.903 (7.1.0 RC 3), Linux 2.6.16, mesa 
6.5 all compiled by gentoo ebuilds (~x86). The card is a Radeon Mobility X600 
(PCIe) using the opensource radeon driver.

Whenever I load the DRI module, I get the same error as you (Calling driver 
entry point failed).
Comment 2 David Joaquim 2006-05-17 15:55:17 UTC
The same with X 7.0.99.903 (7.1.0 RC 3), Linux 2.6.16, mesa 
6.5 under gentoo ebuild with an intel 855GM
Comment 3 Andreas Ntaflos 2006-05-24 17:13:32 UTC
Same here:

X Window System Version 7.1.0
Release Date: 22 May 2006
X Protocol Version 11, Revision 0, Release 7.1
Build Operating System: Linux 2.6.16-gentoo-r7 i686
Current Operating System: Linux ringil 2.6.16-gentoo-r7 #2 PREEMPT Wed May 24
08:42:35 CEST 2006 i686

...
(EE) AIGLX error: Calling driver entry point failed(EE) AIGLX: reverting to
software rendering
...

Gentoo on a Thinkpad T41p with a FireGL T2 (Radeon M10) card using the r300 driver.
Comment 4 Nick Kurshev 2006-05-26 16:37:23 UTC
I've updated drm.ko and radeon.ko from DRI CVS and message

(EE) AIGLX error: Calling driver entry point failed(EE) AIGLX: reverting to
software rendering

was suppressed!

Then you need to add this patch:
--- linux-dri.old	2006-03-31 21:29:46.000000000 +0400
+++ linux-dri	2006-05-24 12:27:12.000000000 +0400
@@ -38,7 +38,7 @@
 EXTRA_LIB_PATH=-L/usr/X11R6/lib
 
 LIBDRM_LIB = `pkg-config --libs libdrm`
-DRI_LIB_DEPS  = $(EXTRA_LIB_PATH) -lm -lpthread -lexpat -ldl $(LIBDRM_LIB)
+DRI_LIB_DEPS  = $(EXTRA_LIB_PATH) -lm -lpthread -lexpat -ldl -lGL $(LIBDRM_LIB)
 GL_LIB_DEPS   = $(EXTRA_LIB_PATH) -lX11 -lXext -lXxf86vm -lm -lpthread -ldl \
                 $(LIBDRM_LIB)
 

to have glxinfo working!!!
Comment 5 Michel Dänzer 2007-01-18 02:37:32 UTC
It sounds like this was a Mesa bug that should be fixed in 6.5.1 or 6.5.2.
Please reopen if you're still seeing this.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.